#!/usr/bin/env python
# -*- coding: utf-8 -*-
import os

import matlab.engine


CURRENT_DIR = os.path.dirname(__file__)
MATLAB_ENGINE = matlab.engine.start_matlab()
MATLAB_ENGINE.addpath(CURRENT_DIR)


def slashburn(adjacency_matrix):
    num_iter, gcc_size, new_adj_matrix = MATLAB_ENGINE.SlashBurn(
        adjacency_matrix, 1, 0, nargout=3)
    return new_adj_matrix


if __name__ == "__main__":
    m = [[0, 1, 1, 0, 1],
         [1, 0, 1, 0, 1],
         [1, 1, 0, 0, 1],
         [1, 1, 1, 0, 1],
         [1, 1, 1, 1, 0]]
    print slashburn(m)
