#!/usr/bin/env python
# -*- coding: utf-8 -*-


class Store(object):

    def __init__(self, dimension_names=None):
        self.dimensions = []
        self.dimension_names = dimension_names

    def project(self, dimension_names, remap=True):
        raise NotImplementedError()

    def swap_randomise(self):
        raise NotImplementedError()

    def update_observations(self, observations):
        raise NotImplementedError()
